namespace Podform3d.VirtualRhino.Core.Services;

public interface IGrasshopperService
{
  ValueTask<Result<string, Error>> OpenGrasshopper();
  ValueTask<Result<bool, Error>> OpenFile(
    string? ghDirectory = "C:\\Grasshopper\\",
    string? version = "baseVersion.gh");
  ValueTask<Result<bool, Error>> Import<T>(
    T t,
    string grasshopperComponentName);
  ValueTask<Result<T, Error>> Solve<T>();
}
