namespace Podform3d.VirtualRhino.Core.Services;

public interface IRhinoService
{
  ValueTask<Result<string, Error>> StartRhino();
  ValueTask<Result<bool, Error>> OpenTemplate(string? TemplatePath = null);
  ValueTask<Result<bool, Error>> Import<T>(T t);
  ValueTask<Result<T, Error>> Solve<T>();
}
