using Microsoft.Extensions.DependencyInjection;
using Podform3d.VirtualRhino.Core.Services;
using Podform3d.VirtualRhino.ServiceRhino.Services;

namespace Podform3d.VirtualRhino.ServiceRhino.Extensions;

public static class ServiceCollectionExtension
{

  public static void AddRhinoServices(
    this IServiceCollection services
  )
  {
    services.AddScoped<IRhinoService, RhinoService>();
  }

}
